package org.ourfilesystem.com;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public interface OFSSocket {
	
	public InputStream getInputStream() throws IOException;
	
	public OutputStream getOutputStream() throws IOException;
	
	public boolean isConnected();
	
	public boolean isClosed();
	
	public void close() throws IOException;

}
